## org.eclipse.datatools.connectivity.ui.navigator
Class ConnectionProfileSorter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerComparator
          org.eclipse.jface.viewers.ViewerSorter
              org.eclipse.datatools.connectivity.ui.navigator.ConnectionProfileSorter

    public class ConnectionProfileSorter

extends org.eclipse.jface.viewers.ViewerSorter

Constructor Summary
`ConnectionProfileSorter()`

Method Summary
`int` `compare(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object e1, java.lang.Object e2)`

Methods inherited from class org.eclipse.jface.viewers.ViewerSorter
`getCollator`

Methods inherited from class org.eclipse.jface.viewers.ViewerComparator
`category, isSorterProperty, sort`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileSorter

    public ConnectionProfileSorter()

Method Detail

### compare

    public int compare(org.eclipse.jface.viewers.Viewer viewer,
                       java.lang.Object e1,
                       java.lang.Object e2)

  Overrides:
    `compare` in class `org.eclipse.jface.viewers.ViewerComparator`